Subject: Visit to S. Minn and Eastern ND 7/13-20/96

From: [email-masked] (NewLeif)
Date: 1 Jul 1996 12:33:25 -0400

I am an Oregon sideline beekeeper and will be travelling between
Minneapollis and Fargo. We will be staying in Fargo for a week on
business. Will have time to visit with interested beekeepers to share
information about our joys and sorrows with the Apis critter on the 13th,
14th and part of the 15th. Is there anyone who is willing to let us see
what your yard and operation is like in this area? leave a message and we
will email the details. Always willing to learn more.

[email-masked]